gnutls_hmac_fast(3)

NAME
gnutls_hmac_fast - API function

SYNOPSIS
#include <gnutls/crypto.h>

int gnutls_hmac_fast(gnutls_mac_algorithm_t algorithm, const void * key, size_t keylen, const void * ptext, size_t ptext_len, void * digest);

ARGUMENTS

gnutls_mac_algorithm_t algorithm
    the hash algorithm to use

const void * key
    the key to use

size_t keylen
    the length of the key

const void * ptext
    the data to hash

size_t ptext_len
    the length of data to hash

void * digest
    is the output value of the hash

DESCRIPTION
This convenience function will hash the given data and return output on a single call.

RETURNS
Zero or a negative error code on error.

SINCE
2.10.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/